7

I need to install Conky Manager to add themes and change settings to make my own preferences on a desktop screen. However when I type:

sudo add-apt-repository ppa:teejee2008/ppa
sudo apt update
sudo apt install conky-manager

My Ubuntu says to me that I'm unable to find conky manager package. Can anyone help me to install Conky Manager to personalize my desktop screen properly? Thanks!:)

6
  • Possible duplicate of how to install Conky Manager on Ubuntu 18.04? Sep 30 '18 at 13:08
  • There are three answers on the duplicate candidate above. Although none are accepted by OP there, hopefully one or more solutions work for OP here. Sep 30 '18 at 13:09
  • My question is not about how to install conky cause I've found commands that works for someone.My question is to solve the problem about what this command isn't works and what is the correct command.I didn't know what to do before and I read that post that don't solve my problem.N0rbert had a crystal ball to conky manager run in my system.
    – J-Mello
    Sep 30 '18 at 13:29
  • 1
    I've retracted the close vote. At the time I voted, I did not yet see N0bert's answer with great screenshots and references. Sep 30 '18 at 14:28
  • Hello guys! I have an issue when I download a ppa that I think it may cause some bugs when I run skins.When I add this the system give me the following error: ` Err:15 ppa.launchpad.net/pegiiaa/ppa/ubuntu bionic Release 404 Not Found [IP: 91.189.95.83 80] Err:16 ppa.launchpad.net/ubuntu-wine/ppa/ubuntu bionic Release 404 Not Found [IP: 91.189.95.83 80] `
    – J-Mello
    Oct 1 '18 at 6:09
9

Let's start with analysis of this PPA problem. You are going to install conky-manager package, so you know exact name and target Ubuntu version.
In such case you should use special PPA search page on launchpad.net - https://launchpad.net/ubuntu/+ppas with the corresponding search query "conky-manager". This page will return search results. You should click all these links one-after-one and select Published in: Bionic filter. You can choose any PPA which you trust more.
Other way is to use Y PPA Manager.

I ended with this one (ppa:mark-pcnetspec/conky-manager-pm9) as it has realpath package in PPA:

sudo add-apt-repository ppa:mark-pcnetspec/conky-manager-pm9
sudo apt-get install conky-manager

After installation you will get Conky Manager 2.4 running on your Ubuntu 18.04 LTS:

Conky Manager 2.4 on Ubuntu 18.04 LTS


Note: packages from two other PPAs (ppa:marius.quabeck/nerdzoom and ppa:tomtomtom/conky-manager (20.04 LTS compatible)) are really depends on realpath package (as were noted by @OrganicMarble), but do not include it.

5
  • Yeah! It works! Thank you very much to anwsering for me! Hey Organic Marble and WinEunuuchs2Unix it works! N0rbert has a crystal ball! I wanna share the screenshot to you but I don't know how to do it here yet!
    – J-Mello
    Sep 30 '18 at 8:57
  • @N0rbert Sorry I didn't see your answer before I found the duplicate candidate. I would have abandoned researching. Could you port your answer to the duplicate candidate if this question gets closed in a day or two? +1 Sep 30 '18 at 13:12
  • @WinEunuuchs2Unix As we have only one close vote then you can retract it :) Thanks for your answer with live screenshot.
    – N0rbert
    Sep 30 '18 at 13:14
  • @N0rbert I will retract close vote but others may discover and VTC. In which case please port your answer over to the duplicate candidate if that happens :) Sep 30 '18 at 14:27
  • @WinEunuuchs2Unix I'm ready to port it :)
    – N0rbert
    Sep 30 '18 at 14:59
1

Conky-manager isn't in the ppa for 18.04 which is why you couldn't install it.

Unfortunately copying the .deb from 16.04 doesn't work either, because a dependency ("realpath") is missing.

It appears that getting conky-manager to work in 18.04 will not be easy.

It will probably be easier to edit your conky manually.

1

This article How to Install and Use Conky Manager on Ubuntu 16.04/17.04 should still work in Ubuntu 18.04.

You don't need to add the repository as conky is already in Ubuntu's repository. Simply follow these steps:

sudo apt update
sudo apt install conky-all

Once installed, you have to run Conky from the command line.

conky

You can modify conky to do your own preferences. Here's the top half of mine:

nVidia GPU.gif


Conky Manager isn't in Ubuntu 17.04's repository as the article mentions. As Organic Marble's answer states it isn't in 18.04's repository either. The article does say how to install it though:

wget https://launchpad.net/~teejee2008/+archive/ubuntu/ppa/+files/conky-manager_2.4~136~ubuntu16.04.1_amd64.deb
sudo apt install gdebi
sudo gdebi conky-manager*.deb
7
  • 1
    The question isn't about conky, it's about conky-manager, and you can't install that (at least not easily) in 18.04 Sep 29 '18 at 23:18
  • 1
    @OrganicMarble I included another section from the article for the conky manager portion. I was under the impression the OP thought conky-manager was needed to run conky. I'm trying to point out conky-all will work from repository. Sep 29 '18 at 23:34
  • 1
    That method of installing conky-manager will not work in 18.04 due to missing dependencies. Sep 30 '18 at 0:31
  • @OrganicMarble I noticed the "realpath" dependency in your answer. I came across that a year or two ago and meant to research it. Unfortunately I've booted with 16.04 and need to reclone it to another partition and upgrade the clone to 18.04 before testing. Sep 30 '18 at 0:43
  • Hello WinEunuuchs2Unix! So,by these commands for 17.04 version conky manager didn't works.I think this happened cause my version is 18.04 as Organic Marble said.Meanwhile,I'm setting here to know how it works fine to me in a Tilix terminal.When I've used windows 8.1 the settings in rainmeter was similar to conky terminal.I'd like conky manager works ,but in a terminal I think I can manage my skins too and it's not so difficult as I thought.Thank you two to anwsering for me! :)
    – J-Mello
    Sep 30 '18 at 1:31
-2

Try this instead. Worked for me in Ubuntu 20.04, as of April 6, 2021.

sudo add-apt-repository ppa:tomtomtom/conky-manager
sudo apt-get update
sudo apt-get install conky-manager

Link to PPA: https://launchpad.net/~tomtomtom/+archive/ubuntu/conky-manager

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.